Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1361082

Summary: [RFE]: AFR events
Product: Red Hat Gluster Storage Reporter: Pranith Kumar K <pkarampu>
Component: replicateAssignee: Pranith Kumar K <pkarampu>
Status: CLOSED ERRATA QA Contact: Sweta Anandpara <sanandpa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rhgs-3.1CC: amukherj, ravishankar, rcyriac, rhinduja, rhs-bugs
Target Milestone: ---Keywords: FutureFeature
Target Release: RHGS 3.2.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: USM-Gluster integration
Fixed In Version: glusterfs-3.8.4-1 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-03-23 05:41:09 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1371485, 1373743    
Bug Blocks: 1351503    

Description Pranith Kumar K 2016-07-28 10:17:21 UTC
Description of problem:
This RFE is to track the changes required in the AFR component to generate the events to be consumed by the eventing framework.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 Atin Mukherjee 2016-08-30 10:28:35 UTC
http://review.gluster.org/15349 posted upstream for review.

Comment 4 Ravishankar N 2016-09-16 11:38:07 UTC
Downstream patch: https://code.engineering.redhat.com/gerrit/#/c/84802/

Comment 5 Atin Mukherjee 2016-09-16 12:06:40 UTC
downstream patch is merged now.

Comment 8 Sweta Anandpara 2016-11-16 06:18:36 UTC
Tested and verified this on the build 3.8.4-x (x:1-5)

Have seen the below mentioned AFR events during my testing on distribute-replicate volumes.
AFR_QUORUM_MET
AFR_QUORUM_FAIL
AFR_SUBVOL_UP
AFR_SUBVOLS_DOWN

{u'message': {u'subvol': u'repthree-replicate-0'}, u'event': u'AFR_QUORUM_MET', u'ts': 1477040429, u'nodeid': u'1e8967ae-51b2-4c27-907e-a22a83107fd0'}
{u'message': {u'subvol': u'repthree-replicate-0'}, u'event': u'AFR_QUORUM_FAIL', u'ts': 1477040684, u'nodeid': u'72c4f894-61f7-433e-a546-4ad2d7f0a176'}
{u'message': {u'subvol': u'repthree-replicate-0'}, u'event': u'AFR_SUBVOL_UP', u'ts': 1477040718, u'nodeid': u'72c4f894-61f7-433e-a546-4ad2d7f0a176'}
{u'message': {u'subvol': u'repthree-replicate-0'}, u'event': u'AFR_SUBVOLS_DOWN', u'ts': 1477040290, u'nodeid': u'ed362eb3-421c-4a25-ad0e-82ef157ea328'}

Yet to see AFR_SPLIT_BRAIN, and further testing required even for the above events. Will raise separate BZ if I see any specific issue. Moving this blanket BZ to verified in 3.2

Comment 10 errata-xmlrpc 2017-03-23 05:41:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html